[Probleme Installation Peel 7.0 1&1]

7 posts in this topic

Posted · Report post

Bonjour,

 

aprés plusieur recherche sur les forums je n'ai trouver aucune réponse correspondant au probléme que je rencontre pour l'installation de peel heberger sur 1&1.

 

Mon fichier .Httacces a bien été modifier comme prescrit dans d'autre sujet, voir même supprimer pour essayer de voir si ca marche mais rien n'y fais.

 

Voici donc le probléme rencontrer :

 

En tapant l'adresse pour installer le plugin voila ceux que ca me dit :

 

 

Fatal error: Uncaught exception 'SmartyException' with message 'unable to write file E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\compile\wrt513899cc8610f0.40986395' in E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\sysplugins\smarty_internal_write_file.php:44 Stack trace: #0 E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\sysplugins\smarty_internal_template.php(201): Smarty_Internal_Write_File::writeFile('E:\kunden\homep...', '<?php /* Smarty...', Object(Smarty)) #1 E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\sysplugins\smarty_internal_templatebase.php(156): Smarty_Internal_Template->compileTemplateSource() #2 E:\kunden\homepages\31\d460191507\www\lib\templateEngines\SmartyTemplate.php(52): Smarty_Internal_TemplateBase->fetch() #3 E:\kunden\homepages\31\d460191507\www\installation\index.php(43): SmartyTemplate->fetch() #4 {main} thrown in E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\sysplugins\smarty_internal_write_file.php on line 44

 

Savez vous comment regler ceci afin que je puisse installer Peel ?

 

Cordialement, LECUYER Sylvain.

Share this post


: post
Share on other sites

Posted · Report post

Bonjour,

 

Si vous lisez le message que vous citez, il est écrit "unable to write file E:\kunden\homepages\31\d460191507\www\lib\templateEngines\smarty\compile\wrt513899cc8610f0.4098639"

Donc c'est que vous n'avez pas donné les droits en écriture de ce dossier

Si vous avez d'autres problèmes du même type, souvent les messages indiqués vous donnent la nature du problème et souvent implicitement la solution.

 

Gilles

Share this post


: post
Share on other sites

Posted · Report post

Maintenant je recoit cette phrase :

 

 


Parse error: syntax error, unexpected T_CONSTANT_ENCAPSED_STRING in /mnt/110/sdb/3/b/syl.lecuyer/billy/lib/class/String.php on line 763

 

 

je comprend toujours pas désolé :(

Share this post


: post
Share on other sites

Posted · Report post

Dans  /lib/class/String.php on line 763 :

 

vous pouvez remplacez

         if ($bom != b"\xEF\xBB\xBF") {

par
            if ($bom != "\xEF\xBB\xBF") {
 

En effet, le BOM est détecté avec pack("CCC", 0xef, 0xbb, 0xbf) ou "\xEF\xBB\xBF" ou b'\xEF\xBB\xBF' depuis PHP 5.2.1. Et il y avait la version b"\xEF\xBB\xBF" non compatible avant 5.2.1

 

Cette modification sera dans la prochaine version qui sort lundi pour ceux qui ont une vieille version de PHP5 (tous les hébergeurs sont censés être en version >=5.2, car PHP 5.0 et 5.1 avaient trop de bugs).

 

Gilles

Share this post


: post
Share on other sites

Posted · Report post

Alors ca y es ca marche ! J'arrive a acceder au panneaux d'installation, mais toujours des problémes, rien ne peut se passer correctement ce serais trop beau :)


Voici les nouvelles erreurs rencontre :

 

 

- Version de PHP :

5.3.5

- Extension mbstring :

Non - Il vous faudra modifier manuellement l'encodage du site - contactez PEEL : contact@peel.fr ou 01 75 43 67 97

- UTF-8 disponible :

Non - UTF-8 disponible :

- Directive allow_url_fopen activée dans le php.ini :

Non - Le fonctionnement sera normal hormis le module Butterflive qui ne pourra pas fonctionner

 

Je peut poursuivre l'installation jusqu'a la page 2 ou il me dit erreur sur mes informations MYSQL alors qu'elle sont correct.. Je voudrais savoir si cette erreur est due a une incompatibilite d'un des modules cites ci-dessus ?

 

Cordialement

Share this post


: post
Share on other sites

Posted · Report post

- Ca dit PHP 5.3.5 alors que d'après mes vérifications sur php.net les conversions (binary) explicites avec un b sont implémentées depuis 5.2.1 => soit vous avez configuré différemment votre hébergement entre temps, soit votre version de PHP a un bug à ce niveau (pas vu par nous sur d'autres 5.2 ou 5.3)

- l'extension mbstring est importante dans l'absolu pour du PHP moderne, et devrait être active sur un hébergement récent, Néanmoins ça n'explique pas un problème MySQL a priori

 

Pouvez-vous me montrer vos informations MySQL en omettant le mot de passe ? Notamment pour voir si c'est en local ou pas, via port défini ou pas, ... ?

Share this post


: post
Share on other sites

Posted · Report post

Suite à votre message privé, j'ai pu constater sur votre hébergement 1&1 :

 

Serveur MSSQL Nom du serveur : MSSQL Version du serveur : Microsoft SQL Server 2012 - 11.0.2100.60 (X64)
Feb 10 2012 19:39:15
Copyright © Microsoft Corporation
Web Edition (64-bit) on Windows NT 6.2 (Build 9200: ) (Hypervisor)

 

Or PEEL Shopping comme la plupart des applications PHP fonctionne en standard avec MySQL.

Vous pouvez :

- soit voir avec 1&1 quelle offre d'hébergement vous pouvez avoir ayant MySQL

- soit partir de 1&1 et prendre un hébergement adéquat (1&1, j'ai donné par le passé avec leur gestion hasardeuse, je ne vous les recommende pas)

- soit contacter notre service commercial pour adaptation de la gestion de base de données pour MSSQL.

 

Gilles

Share this post


: post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

Twitter Advisto ecommerce

Facebook PEEL Shopping